class objObstacle extends MovieClip
{
   var _bJumpAllowed = false;
   var _bInfiniteLoop = false;
   var _bSafeZone = false;
   var _bWall = false;
   var _bBorder = false;
   var _bTang = false;
   var _bSmashable = false;
   var _bSmashed = false;
   var _bPaused = true;
   function objObstacle()
   {
      super();
   }
   function fInitializeProperties(_rType, _rSoundType, _rSmashable, _rWall, _rBorder, _rTang, _rAirHigh, _rInfiniteLoop, _rSafeZone)
   {
      var _loc1_ = this;
      _loc1_._sType = _rType;
      _loc1_._nEnergyCost = 10 * _global.contTrans._nDiffLevel;
      _loc1_._sSoundType = _rSoundType;
      _loc1_._sAirHigh = _rAirHigh;
      _loc1_._bSmashable = _rSmashable;
      if(_loc1_._bSmashable == false)
      {
         _loc1_._bSmashed = true;
      }
      _loc1_._bInfiniteLoop = _rInfiniteLoop;
      _loc1_._bSafeZone = _rSafeZone;
      _loc1_._bWall = _rWall;
      _loc1_._bBorder = _rBorder;
      if(_loc1_._bWall == true and _loc1_._bBorder == true)
      {
         _loc1_._bBorder = false;
      }
      _loc1_._bTang = _rTang;
   }
   function onEnterFrame()
   {
      var _loc1_ = _global;
      var _loc2_ = this;
      _loc2_._bPaused = _loc1_.contPause.opened;
      if(_loc2_._bPaused == false)
      {
         if(_loc2_._bInfiniteLoop == true and _loc2_._currentframe != 2 and _loc1_.levelScreen.mcVehicule._bDuelMode == true)
         {
            _loc2_.gotoAndStop("move");
         }
         else if(_loc2_._bInfiniteLoop == true and _loc2_._currentframe == 2 and _loc1_.levelScreen.mcVehicule._bDuelMode == true)
         {
            _loc2_.infiniteLoop.play();
         }
         if(_loc2_.hitTest(_loc1_.levelScreen.mcVehicule) and _loc2_._bSafeZone == true)
         {
            _loc2_._bSafeZone = false;
            _loc1_.levelScreen.mcArrowPosition._x = _loc2_._x;
         }
         if(_loc1_.levelScreen.mcVehicule._bLoseLive == false and _loc1_.levelScreen.mcVehicule._bComeBack == false and _loc1_.levelScreen.mcVehicule._bGoSafeZone == false)
         {
            if(_loc2_._sAirHigh == "both" or _loc2_._sAirHigh == "ground" and _loc1_.levelScreen.mcVehicule._bAir == false or _loc2_._sAirHigh == "air" and _loc1_.levelScreen.mcVehicule._bAir == true)
            {
               if(_loc2_.hitTest(_loc1_.levelScreen.mcVehicule.mcHitZone))
               {
                  _loc2_._nBoundsVehicule = _loc1_.levelScreen.mcVehicule.mcHitZone.getBounds(_loc1_.stage);
                  _loc2_._nBoundsThis = _loc2_.getBounds(_loc1_.stage);
                  if(_loc2_._sType == "obsTree")
                  {
                     _loc2_._nBoundsThis = _loc2_.mcHitZoneBottom.getBounds(_loc1_.stage);
                     if(_loc2_._nBoundsVehicule.yMax - 50 <= _loc2_._nBoundsThis.yMax)
                     {
                        _loc2_.swapDepths(_loc1_.contGame._nSwapDepthIndex);
                        _loc1_.contGame._nSwapDepthIndex = _loc1_.contGame._nSwapDepthIndex + 1;
                     }
                  }
                  if(_loc2_._sType == "obsJump" and _loc2_._bSmashed == true)
                  {
                     if(_loc1_.levelScreen.mcVehicule.mcHitZone.hitTest(_loc2_.mcHitSafeZone) and _loc2_._bJumpAllowed == false)
                     {
                        _loc2_._bJumpAllowed = true;
                     }
                     if(_loc1_.levelScreen.mcVehicule.mcHitZone.hitTest(_loc2_.mcHitZone))
                     {
                        if(_loc2_._bJumpAllowed == true)
                        {
                           _loc2_._bSmashed = false;
                           if(_loc1_.levelScreen.mcVehicule._nSpeed <= _loc1_.levelScreen.mcVehicule._nSpeedMin + 2)
                           {
                              _loc1_.levelScreen.mcVehicule._nSpeed += 5;
                              _loc1_.levelScreen.mcVehicule._nSpeedDecor += 5;
                           }
                           _loc1_.levelScreen.mcVehicule._bAir = true;
                           _loc1_.levelScreen.mcVehicule._nAirMaxJump = Math.floor(_loc1_.levelScreen.mcVehicule._nSpeed * 4 / 2);
                           if(_loc1_.levelScreen.mcVehicule._nAirMaxJump >= 100)
                           {
                              _loc1_.levelScreen.mcVehicule._nAirMaxJump = 100;
                           }
                           _loc1_.levelScreen.mcVehicule._nAirTime = 20 * _loc1_.levelScreen.mcVehicule._nSpeed;
                           _loc1_.levelScreen.mcVehicule._nAirTimeDone = 0;
                           _loc1_.contSound.fManageSound("snd_jump","play",1,50);
                           _loc1_.levelScreen.mcVehicule._nTimeToTang = -1;
                           _loc1_.levelScreen.mcVehicule.gotoAndStop("jump");
                        }
                        else
                        {
                           _loc2_._sType = "wall";
                           _loc2_._bWall = true;
                        }
                     }
                  }
                  if(_loc2_._bWall == true)
                  {
                     if(_loc1_.levelScreen.mcVehicule.mcHitZone.hitTest(_loc2_.mcHitZoneLeft))
                     {
                        if(_loc1_.levelScreen.mcVehicule._bInvinsible == false)
                        {
                           _loc1_.levelScreen.mcVehicule.fChangeColor("hit");
                           _loc1_.contGame.fManageEnergy(-1);
                        }
                        _loc1_.levelScreen.mcVehicule._nMoveDecor = 0;
                        _loc1_.levelScreen.mcVehicule._nMoveLRSpeed = 0;
                        _loc1_.levelScreen.mcVehicule.fHitWall();
                     }
                     else if(_loc1_.levelScreen.mcVehicule.mcHitZone.hitTest(_loc2_.mcHitZoneRight))
                     {
                        if(_loc1_.levelScreen.mcVehicule._bInvinsible == false)
                        {
                           _loc1_.levelScreen.mcVehicule.fChangeColor("hit");
                           _loc1_.contGame.fManageEnergy(-1);
                        }
                        _loc1_.levelScreen.mcVehicule._nMoveDecor = 0;
                        _loc1_.levelScreen.mcVehicule._nMoveLRSpeed = 0;
                        _loc1_.levelScreen.mcVehicule.fHitWall();
                     }
                     else if(_loc1_.levelScreen.mcVehicule.mcHitZone.hitTest(_loc2_.mcHitZoneBottom))
                     {
                        if(_loc1_.levelScreen.mcVehicule._bInvinsible == false)
                        {
                           _loc1_.levelScreen.mcVehicule.fChangeColor("hit");
                           _loc1_.contGame.fManageEnergy(- _loc2_._nEnergyCost);
                        }
                        _loc1_.levelScreen.mcVehicule.fStopVehicule();
                     }
                  }
                  if(_loc2_._bBorder == true)
                  {
                     if(_loc1_.levelScreen.mcVehicule.mcHitZone.hitTest(_loc2_.mcHitZoneLeft))
                     {
                        if(_loc1_.levelScreen.mcVehicule._bInvinsible == false)
                        {
                           _loc1_.levelScreen.mcVehicule.fChangeColor("hit");
                           _loc1_.contGame.fManageEnergy(-1);
                        }
                        _loc1_.levelScreen.mcVehicule._nMoveDecor = 0;
                        _loc1_.levelScreen.mcVehicule._nMoveLRSpeed = 0;
                        if(_loc2_._x < _loc1_.levelScreen.mcPositionner._x)
                        {
                           var _loc3_ = 1;
                        }
                        else if(_loc2_._x - 5 > _loc1_.levelScreen.mcPositionner._x)
                        {
                           _loc3_ = -1;
                        }
                        _loc1_.levelScreen.mcVehicule._x += 10 * _loc3_;
                        _loc1_.levelScreen.mcVehicule._mcVehiculeShadow._x += 10 * _loc3_;
                     }
                     else if(_loc1_.levelScreen.mcVehicule.mcHitZone.hitTest(_loc2_.mcHitZoneRight))
                     {
                        if(_loc1_.levelScreen.mcVehicule._bInvinsible == false)
                        {
                           _loc1_.contGame.fManageEnergy(-1);
                        }
                        _loc1_.levelScreen.mcVehicule._nMoveDecor = 0;
                        _loc1_.levelScreen.mcVehicule._nMoveLRSpeed = 0;
                        if(_loc2_._x < _loc1_.levelScreen.mcPositionner._x)
                        {
                           _loc3_ = 1;
                        }
                        else if(_loc2_._x - 5 > _loc1_.levelScreen.mcPositionner._x)
                        {
                           _loc3_ = -1;
                        }
                        _loc1_.levelScreen.mcVehicule._x += 10 * _loc3_;
                        _loc1_.levelScreen.mcVehicule._mcVehiculeShadow._x += 10 * _loc3_;
                     }
                  }
                  if(_loc2_._bSmashable == true and _loc2_._bSmashed == false and _loc1_.levelScreen.mcVehicule._bInvinsible == false)
                  {
                     if(_loc1_.levelScreen.mcVehicule.mcHitZone.hitTest(_loc2_.mcHitZone))
                     {
                        if(_loc2_._sType == "obsHuile" or _loc2_._sType == "obsGravier")
                        {
                           _loc1_.contSound.fManageSound(_loc2_._sSoundType,"play",1,50);
                           _loc1_.levelScreen.mcVehicule.fObstacleBrake(true,2);
                           _loc2_._bSmashed = true;
                        }
                        else
                        {
                           _loc1_.contSound.fManageSound(_loc2_._sSoundType,"play",1,50);
                           _loc1_.levelScreen.mcVehicule.fChangeColor("hit");
                           _loc1_.contGame.fManageEnergy(- _loc2_._nEnergyCost);
                           _loc1_.levelScreen.mcVehicule.fObstacleBrake(true,2);
                           _loc2_._bSmashed = true;
                           _loc2_.play();
                        }
                     }
                  }
                  if(_loc2_._bSmashable == true and _loc2_._bSmashed == false and _loc1_.levelScreen.mcVehicule._bInvinsible == false)
                  {
                     if(_loc2_._sType != "obsHuile" and _loc2_._sType != "obsGravier")
                     {
                        _loc2_._nBoundsThis = _loc2_.mcHitZone.getBounds(_loc1_.stage);
                        if(_loc2_._nBoundsVehicule.yMax - 50 <= _loc2_._nBoundsThis.yMax)
                        {
                           _loc2_.swapDepths(_loc1_.contGame._nSwapDepthIndex);
                           _loc1_.contGame._nSwapDepthIndex = _loc1_.contGame._nSwapDepthIndex + 1;
                        }
                     }
                  }
                  if(_loc2_._bTang == true)
                  {
                     _loc2_.fTangVehicule();
                  }
               }
            }
            else if(_loc2_._sAirHigh == "air" and _loc1_.levelScreen.mcVehicule._bAir == false)
            {
               _loc2_.swapDepths(_loc1_.contGame._nSwapDepthIndex);
               _loc1_.contGame._nSwapDepthIndex = _loc1_.contGame._nSwapDepthIndex + 1;
            }
         }
         else if(_loc2_._bSmashable == true and _loc2_._bSmashed == false and _loc1_.levelScreen.mcVehicule._bInvinsible == false)
         {
            if(_loc2_.hitTest(_loc1_.levelScreen.mcVehicule.mcHitZone))
            {
               _loc2_._objColor = new Color(_loc2_);
               var _aMyColorTransform = {ra:"100",rb:"120",ga:"100",gb:"60",ba:"100",bb:"25",aa:"100",ab:"0"};
               _loc2_._objColor.setTransform(_aMyColorTransform);
            }
         }
         _loc2_._nBoundsThis = _loc2_.getBounds(_loc1_.stage);
         if(_loc2_._nBoundsThis.yMin >= 400 + _loc2_._height / 2)
         {
            _loc2_.fItemDelete();
         }
      }
      else if(_loc2_._bInfiniteLoop == true and _loc2_._currentframe == 2 and _loc1_.levelScreen.mcVehicule._bDuelMode == true)
      {
         _loc2_.infiniteLoop.stop();
      }
   }
   function fTangVehicule()
   {
      var _loc1_ = this;
      var _loc2_ = _global;
      _loc1_._nBoundsVehicule = _loc2_.levelScreen.mcVehicule.mcHitZone.getBounds(_loc2_.stage);
      _loc1_._nBoundsThis = _loc1_.getBounds(_loc2_.stage);
      if(_loc1_._sType == "obsRailTrainLv3")
      {
         if(_loc2_.levelScreen.mcVehicule._currentframe < 5)
         {
            _loc2_.levelScreen.mcVehicule.gotoAndStop("tang");
         }
      }
      else if(_loc1_._nBoundsVehicule.xMin < _loc1_._nBoundsThis.xMax and _loc1_._nBoundsVehicule.xMax > _loc1_._nBoundsThis.xMax)
      {
         if(_loc2_.levelScreen.mcVehicule._sTangPosition != "tang")
         {
            _loc2_.levelScreen.mcVehicule._nTimeToTang = getTimer() + 20;
            _loc2_.levelScreen.mcVehicule.gotoAndStop("left");
         }
      }
      else if(_loc1_._nBoundsVehicule.xMin < _loc1_._nBoundsThis.xMin and _loc1_._nBoundsVehicule.xMax > _loc1_._nBoundsThis.xMin)
      {
         if(_loc2_.levelScreen.mcVehicule._sTangPosition != "tang")
         {
            _loc2_.levelScreen.mcVehicule._nTimeToTang = getTimer() + 20;
            _loc2_.levelScreen.mcVehicule.gotoAndStop("right");
         }
      }
      else if(_loc1_._nBoundsVehicule.xMin > _loc1_._nBoundsThis.xMin and _loc1_._nBoundsVehicule.xMax < _loc1_._nBoundsThis.xMax)
      {
         _loc2_.levelScreen.mcVehicule._nTimeToTang = getTimer() + 20;
         _loc2_.levelScreen.mcVehicule.gotoAndStop("idle");
      }
   }
   function fItemDelete()
   {
      this.swapDepths(7665);
      this.removeMovieClip();
   }
}
