class objOpponent extends MovieClip
{
   var _nProjectileToFire;
   var _sProjectileType;
   var _bColored = false;
   var _bLoseLive = false;
   var _bPaused = true;
   function objOpponent()
   {
      super();
   }
   function fInitializeProperties(_rLevel)
   {
      var _loc1_ = this;
      var _loc2_ = _global;
      _loc1_._nAttack = 0;
      _loc1_._nDelayPhoto = 0;
      _loc1_._sCurrentAction = "idle";
      _loc1_._nLevel = _rLevel;
      if(_loc1_._nLevel == 1)
      {
         _loc1_._aBossMove = ["a","13","10","4","11","a","b","12","a","8","b","a","13","c","d","b","10","a","f","b","8","12","f","a","b","e","11","f","2","a","10","4","10","a","b","4","10","7","b","c","e","d"];
         _loc1_.mcBoss = _loc2_.levelScreen._parent.mcOpponent.opponent.brick;
         _loc1_._nBossPhoto = 1;
      }
      else if(_loc1_._nLevel == 2)
      {
         _loc1_._aBossMove = ["2","f","10","6","e","f","i","1","10","4","f","10","4","i","10","7","i","f","11","i","8","b","a","f","4"];
         _loc1_.mcBoss = _loc2_.levelScreen._parent.mcOpponent.opponent.luther;
         _loc1_._nBossPhoto = 3;
      }
      else if(_loc1_._nLevel == 3)
      {
         _loc1_._aBossMove = ["8","10","b","11","4","10","c","12","4","10","13","a","8","11","10","13","c","10","11","12","c","1","13","10","4","12","11","10","4","10","7","13","10","11","12","10","13","11"];
         _loc1_.mcBoss = _loc2_.levelScreen._parent.mcOpponent.opponent.tad;
         _loc1_._nBossPhoto = 5;
      }
      _loc2_.levelScreen._parent.mcEnergyBarBossTween.mcEnergyBarBoss.gotoAndStop(_loc1_._nBossPhoto);
      _loc2_.levelScreen._parent.mcEnergyBarBossTween.gotoAndPlay("play");
      _loc1_.mcEnergyBarBoss = _loc2_.levelScreen._parent.mcEnergyBarBossTween.mcEnergyBarBoss.mcEnergyBar.mcEnergyOverlay;
      _loc1_.mcEnergyBarBoss._yscale = 0;
      _loc1_._bActivated = false;
      _loc1_._nVelocity = 0.2;
      _loc1_._sDirectionX = "idle";
      _loc1_._sDirectionY = "idle";
      _loc1_._nSpeedX = 0;
      _loc1_._nSpeedY = 0;
      _loc1_._sNextZoneX = "Middle";
      _loc1_._sNextZoneY = "Bottom";
      _loc1_._sZone = _loc1_._sNextZoneY + _loc1_._sNextZoneX;
      _loc1_._nDistanceX = 0;
      _loc1_._nDistanceY = 0;
      _loc1_._x = _loc2_.levelScreen._parent._x;
      _loc1_._y = -330;
      _loc2_.contSound.fManageSound("snd_MID","stop",0,0);
      _loc2_.contSound.fManageSound("snd_MIN","stop",0,0);
      _loc2_.contSound.fManageSound("snd_OUT","stop",0,0);
      _loc2_.contSound.fManageSound("snd_IN","stop",0,0);
   }
   function fManageEnergy(_rEnergy)
   {
      var _loc1_ = this;
      _loc1_.fChangeColor("hit");
      _loc1_._nDelayPhoto = getTimer();
      _global.levelScreen._parent.mcEnergyBarBossTween.mcEnergyBarBoss.gotoAndStop(_loc1_._nBossPhoto + 1);
      _loc1_.mcEnergyBarBoss._yscale += _rEnergy / _loc1_._nLevel;
      if(_loc1_.mcEnergyBarBoss._yscale >= 100)
      {
         _global.contSound.fManageSound("snd_suckers","play",1,100);
         _loc1_.mcEnergyBarBoss._yscale = 100;
         _loc1_._bLoseLive = true;
      }
      else if(_loc1_.mcEnergyBarBoss._yscale < 1)
      {
         _loc1_.mcEnergyBarBoss._yscale = 0;
      }
   }
   function onEnterFrame()
   {
      var _loc1_ = _global;
      var _loc2_ = this;
      _loc2_._bPaused = _loc1_.contPause.opened;
      if(_loc2_._bPaused == false)
      {
         if(_loc2_._bActivated == false)
         {
            _loc1_.levelScreen.mcVehicule._bBossComing = true;
            _loc1_.levelScreen.mcVehicule._nMoveDecor = 0;
            _loc1_.levelScreen.mcVehicule._nMoveLRSpeed = 0;
            _loc2_._y += 2;
            if(_loc1_.levelScreen._x + 3 < 0)
            {
               _loc1_.levelScreen._x += 3;
               _loc1_.levelScreen.mcVehicule._x -= 3;
            }
            else if(_loc1_.levelScreen._x - 3 > 0)
            {
               _loc1_.levelScreen._x -= 3;
               _loc1_.levelScreen.mcVehicule._x += 3;
            }
            else
            {
               _loc1_.levelScreen._x = 0;
            }
            if(_loc1_.levelScreen.mcVehicule._x + 5 < 0)
            {
               _loc1_.levelScreen.mcVehicule._x += 5;
            }
            else if(_loc1_.levelScreen.mcVehicule._x - 5 > 0)
            {
               _loc1_.levelScreen.mcVehicule._x -= 5;
            }
            else
            {
               _loc1_.levelScreen.mcVehicule._x = 0;
            }
            if(_loc2_._y >= -50)
            {
               _loc2_._nStartPosX = _loc2_._x;
               _loc2_._nStartPosY = _loc2_._y;
               _loc2_._bActivated = true;
               _loc1_.contMain.fPause("anim");
               _loc1_.contPopup.gotoAndStop("open");
               _loc1_.levelScreen.mcVehicule._bBossComing = false;
               _loc1_.levelScreen.mcVehicule._bDuelMode = true;
            }
         }
         else if(_loc2_._bLoseLive == true)
         {
            _loc2_.gotoAndStop("loseLive");
            _loc2_._y += 7;
            if(_loc2_.hitTest(_loc1_.levelScreen.mcVehicule))
            {
               _loc2_._alpha = 30;
            }
            if(_loc2_._y >= 400 + _loc2_._height)
            {
               _loc2_.fItemDelete();
               _loc1_.contSound.fManageSound("snd_motorloop04","stop","","");
               _loc1_.contSound.fManageSound("snd_GreatGopher","play",1,100);
               delete _loc1_.levelScreen.mcFinishLine.onEnterFrame;
               _loc1_.levelScreen.mcFinishLine.onEnterFrame = function()
               {
                  var _loc1_ = _global;
                  var _loc3_ = this;
                  var _loc2_ = _loc3_.getBounds(_loc1_.stage);
                  if(_loc1_.contPause.opened == false)
                  {
                     _loc3_._y += 15;
                     if(_loc2_.yMin >= 400)
                     {
                        if(_loc1_.levelScreen.mcVehicule._bLoseLive != true and _loc1_.contGame.array_gameplay[2] != 0)
                        {
                           delete _loc3_.onEnterFrame;
                           _loc1_.contGame.fSendScoreToMain();
                           _loc1_.contMain._bShowStats = true;
                           _loc1_.contTrans.str_previousScreen = "";
                           _loc1_.contTrans.stopSound = true;
                           _loc1_.contTrans.str_nextScreen = "pitStop";
                           _loc1_.contTrans.gotoAndStop("start");
                        }
                     }
                  }
               };
            }
         }
         else
         {
            if(_loc2_._bColored == true)
            {
               _loc2_.fChangeColor("toNormal");
            }
            if(_loc1_.contGame._bWaffleAttack == true)
            {
               var _ni = 0;
               while(_ni < 3)
               {
                  if(_loc2_.mcBoss.hitTest(_loc1_.levelScreen.mcVehicule.waffle["mcHitZone" + _ni]))
                  {
                     _loc2_.fManageEnergy(6);
                     _loc1_.contGame._bWaffleAttack = false;
                  }
                  _ni++;
               }
            }
            if(getTimer() - 1000 >= _loc2_._nDelayPhoto and _loc1_.levelScreen._parent.mcEnergyBarBossTween.mcEnergyBarBoss._currentframe != _loc2_._nBossPhoto)
            {
               _loc1_.levelScreen._parent.mcEnergyBarBossTween.mcEnergyBarBoss.gotoAndStop(_loc2_._nBossPhoto);
            }
            if(_loc2_.hitTest(_loc1_.levelScreen.mcVehicule))
            {
               var soundToPlay = "snd_hit" + _loc2_._nLevel;
               var _loc3_ = 1;
               while(_loc3_ <= 9)
               {
                  if(_loc2_["mcHitZone" + _loc3_].hitTest(_loc1_.levelScreen.mcVehicule.mcHitZone))
                  {
                     if(_loc3_ == 1 or _loc3_ == 3 or _loc3_ == 5)
                     {
                        _loc1_.contSound.fManageSound(soundToPlay,"play",1,80);
                        _loc1_.levelScreen.mcVehicule._nMoveDecor = 0;
                        _loc1_.levelScreen.mcVehicule._nMoveLRSpeed = 0;
                        _loc1_.levelScreen.mcVehicule._x -= 10;
                        _loc1_.contGame._bDecorStickL = false;
                        _loc1_.contGame._bDecorStickR = false;
                     }
                     else if(_loc3_ == 2 or _loc3_ == 4 or _loc3_ == 6)
                     {
                        _loc1_.contSound.fManageSound(soundToPlay,"play",1,80);
                        _loc1_.levelScreen.mcVehicule._nMoveDecor = 0;
                        _loc1_.levelScreen.mcVehicule._nMoveLRSpeed = 0;
                        _loc1_.levelScreen.mcVehicule._x += 10;
                        _loc1_.contGame._bDecorStickL = false;
                        _loc1_.contGame._bDecorStickR = false;
                     }
                     else if(_loc3_ == 7)
                     {
                        _loc1_.contSound.fManageSound(soundToPlay,"play",1,80);
                        _loc1_.levelScreen.mcVehicule._nSpeed = 0;
                        _loc1_.levelScreen.mcVehicule._y += 15;
                        _loc1_.levelScreen.mcVehicule.fDecelerate(2,-1);
                     }
                     else if(_loc3_ == 8 or _loc3_ == 9)
                     {
                        if(_loc2_._sCurrentAction == "throwFire")
                        {
                           if(_loc3_ == 8 and (_loc2_._sProjectileType == "left" or _loc2_._sProjectileType == "both"))
                           {
                              if(_loc1_.levelScreen._parent.mcOpponent.opponentBody.mcFireLeft._currentframe >= 10 and _loc1_.levelScreen._parent.mcOpponent.opponentBody.mcFireLeft._currentframe <= 44)
                              {
                                 if(_loc1_.levelScreen.mcVehicule._bColored == false and _loc1_.levelScreen.mcVehicule._bInvinsible == false)
                                 {
                                    _loc1_.contSound.fManageSound("snd_impact","play",1,15);
                                    _loc1_.contGame.fManageEnergy(-45);
                                    _loc1_.levelScreen.mcVehicule.fChangeColor("hit");
                                 }
                              }
                           }
                           if(_loc3_ == 9 and (_loc2_._sProjectileType == "right" or _loc2_._sProjectileType == "both"))
                           {
                              if(_loc1_.levelScreen._parent.mcOpponent.opponentBody.mcFireRight._currentframe >= 10 and _loc1_.levelScreen._parent.mcOpponent.opponentBody.mcFireRight._currentframe <= 44)
                              {
                                 if(_loc1_.levelScreen.mcVehicule._bColored == false and _loc1_.levelScreen.mcVehicule._bInvinsible == false)
                                 {
                                    _loc1_.contSound.fManageSound("snd_impact","play",1,15);
                                    _loc1_.contGame.fManageEnergy(-45);
                                    _loc1_.levelScreen.mcVehicule.fChangeColor("hit");
                                 }
                              }
                           }
                        }
                        else if(_loc1_.levelScreen.mcVehicule._bInvinsible == false)
                        {
                           _loc1_.levelScreen.mcVehicule._nSpeed = 0;
                           _loc1_.levelScreen.mcVehicule._y += 5;
                           _loc1_.levelScreen.mcVehicule.fDecelerate(2,-1);
                        }
                     }
                  }
                  _loc3_ = _loc3_ + 1;
               }
            }
            if(_loc2_._sDirectionX != "idle" or _loc2_._sDirectionY != "idle")
            {
               _loc2_.fMoveOpponent();
            }
            else if(_loc2_._sCurrentAction == "idle")
            {
               if(_loc2_._nLevel == 1)
               {
                  var _sMove = _loc2_._aBossMove[_loc2_._nAttack];
                  _loc2_._nAttack = _loc2_._nAttack + 1;
                  if(_loc2_._nAttack == _loc2_._aBossMove.length)
                  {
                     _loc2_._nAttack = 0;
                  }
                  if(isNaN(_sMove))
                  {
                     _loc2_._sProjectileType = _sMove;
                     _loc2_._sCurrentAction = "throwBanana";
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                     _loc2_.mcBoss.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(int(_sMove) < 9)
                  {
                     _loc1_.contSound.fManageSound("snd_tire02","play",1,40);
                     _loc2_.mcBoss.gotoAndStop("laugh");
                     _loc2_.fGetMoveDirection(int(_sMove));
                  }
                  else if(_sMove == "10")
                  {
                     _loc2_._nProjectileToFire = 3;
                     _loc2_._sCurrentAction = "throwBowl";
                     _loc2_.mcBoss.gotoAndStop("lookBehind");
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(_sMove == "11")
                  {
                     _loc2_._sProjectileType = "left";
                     _loc2_._sCurrentAction = "throwFire";
                     _loc2_.mcBoss.gotoAndStop("lightFire");
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(_sMove == "12")
                  {
                     _loc2_._sProjectileType = "right";
                     _loc2_._sCurrentAction = "throwFire";
                     _loc2_.mcBoss.gotoAndStop("lightFire");
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(_sMove == "13")
                  {
                     _loc2_._sProjectileType = "both";
                     _loc2_._sCurrentAction = "throwFire";
                     _loc2_.mcBoss.gotoAndStop("lightFire");
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
               }
               else if(_loc2_._nLevel == 2)
               {
                  var _sMove = _loc2_._aBossMove[_loc2_._nAttack];
                  _loc2_._nAttack = _loc2_._nAttack + 1;
                  if(_loc2_._nAttack == _loc2_._aBossMove.length)
                  {
                     _loc2_._nAttack = 0;
                  }
                  if(isNaN(_sMove))
                  {
                     _loc2_._sProjectileType = _sMove;
                     _loc2_._nProjectileToFire = 5;
                     _loc2_._sCurrentAction = "throwMelon";
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(int(_sMove) < 9)
                  {
                     _loc1_.contSound.fManageSound("snd_tire02","play",1,40);
                     _loc2_.mcBoss.gotoAndStop("laugh");
                     _loc2_.fGetMoveDirection(int(_sMove));
                  }
                  else if(_sMove == "10")
                  {
                     _loc2_._nProjectileToFire = 4;
                     _loc2_._sProjectileType = "single";
                     _loc2_._sCurrentAction = "throwPepin";
                     _loc2_.mcBoss.gotoAndStop("throwPepin");
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(_sMove == "11")
                  {
                     _loc2_._sProjectileType = "multi";
                     _loc2_._sCurrentAction = "throwPepin";
                     _loc2_.mcBoss.gotoAndStop("throwPepin");
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
               }
               else if(_loc2_._nLevel == 3)
               {
                  var _sMove = _loc2_._aBossMove[_loc2_._nAttack];
                  _loc2_._nAttack = _loc2_._nAttack + 1;
                  if(_loc2_._nAttack == _loc2_._aBossMove.length)
                  {
                     _loc2_._nAttack = 0;
                  }
                  if(isNaN(_sMove))
                  {
                     _loc2_._sProjectileType = _sMove;
                     _loc2_._nProjectileToFire = 7;
                     _loc2_._sCurrentAction = "throwPumpkin";
                     _loc2_.mcBoss.gotoAndStop(_loc2_._sCurrentAction);
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(int(_sMove) < 9)
                  {
                     _loc1_.contSound.fManageSound("snd_tire02","play",1,40);
                     _loc2_.mcBoss.gotoAndStop("laugh");
                     _loc2_.fGetMoveDirection(int(_sMove));
                  }
                  else if(_sMove == "10")
                  {
                     _loc2_._sProjectileType = "left";
                     _loc2_._sCurrentAction = "throwFire";
                     _loc2_.mcBoss.gotoAndStop(_loc2_._sCurrentAction);
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(_sMove == "11")
                  {
                     _loc2_._sProjectileType = "left";
                     _loc2_._sCurrentAction = "throwEggs";
                     _loc2_.mcBoss.gotoAndStop(_loc2_._sCurrentAction);
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(_sMove == "12")
                  {
                     _loc2_._sProjectileType = "right";
                     _loc2_._sCurrentAction = "throwEggs";
                     _loc2_.mcBoss.gotoAndStop(_loc2_._sCurrentAction);
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
                  else if(_sMove == "13")
                  {
                     _loc2_._sProjectileType = "both";
                     _loc2_._sCurrentAction = "throwEggs";
                     _loc2_.mcBoss.gotoAndStop(_loc2_._sCurrentAction);
                     _loc2_.gotoAndStop(_loc2_._sCurrentAction);
                  }
               }
            }
         }
      }
   }
   function fAttack(_rType)
   {
      if(_rType == "bowl")
      {
         var _i = 0;
         while(_i < this._nProjectileToFire * 2)
         {
            var _aPos = [0,7,-5,7,5,7,-8,7,8,7];
            var _sNewProjectile = "projectile" + _global.contGame._nProjectleID;
            _global.contGame._nProjectleID = _global.contGame._nProjectleID + 1;
            _global.levelScreen._parent.mcObjProjectile.duplicateMovieClip(_sNewProjectile,_global.contGame._nSwapDepthIndex);
            _global.contGame._nSwapDepthIndex = _global.contGame._nSwapDepthIndex + 1;
            _global.levelScreen._parent[_sNewProjectile]._alpha = 0;
            _global.levelScreen._parent[_sNewProjectile].gotoAndStop("projectileBowl");
            _global.levelScreen._parent[_sNewProjectile]._x = this._x;
            _global.levelScreen._parent[_sNewProjectile]._y = this._y + 30;
            _global.levelScreen._parent[_sNewProjectile].fInitializeProperties("bowl",_aPos[_i],_aPos[_i + 1],"down",15,false);
            _i++;
            _i++;
         }
      }
      else if(_rType == "banana")
      {
         switch(this._sProjectileType)
         {
            case "a":
               var _nBananaX = -20;
               var _nBananaY = 0;
               var _sLimit = "left";
               break;
            case "b":
               var _nBananaX = -20;
               var _nBananaY = 10;
               var _sLimit = "down";
               break;
            case "c":
               var _nBananaX = -20;
               var _nBananaY = 20;
               var _sLimit = "down";
               break;
            case "d":
               var _nBananaX = 20;
               var _nBananaY = 20;
               var _sLimit = "down";
               break;
            case "e":
               var _nBananaX = 20;
               var _nBananaY = 10;
               var _sLimit = "down";
               break;
            case "f":
               var _nBananaX = 20;
               var _nBananaY = 0;
               var _sLimit = "right";
         }
         var _sNewProjectile = "projectile" + _global.contGame._nProjectleID;
         _global.contGame._nProjectleID = _global.contGame._nProjectleID + 1;
         _global.levelScreen._parent.mcObjProjectile.duplicateMovieClip(_sNewProjectile,_global.contGame._nSwapDepthIndex);
         _global.contGame._nSwapDepthIndex = _global.contGame._nSwapDepthIndex + 1;
         _global.levelScreen._parent[_sNewProjectile].gotoAndStop("projectileBanana");
         _global.levelScreen._parent[_sNewProjectile]._x = _global.levelScreen._parent.mcOpponent._x;
         _global.levelScreen._parent[_sNewProjectile]._y = _global.levelScreen._parent.mcOpponent._y - 80;
         _global.levelScreen._parent[_sNewProjectile].fInitializeProperties("banana",_nBananaX,_nBananaY,_sLimit,20,false);
      }
      else if(_rType == "pepin")
      {
         switch(this._sProjectileType)
         {
            case "single":
               var maximumPepin = 1;
               break;
            case "multi":
               var maximumPepin = 3;
         }
         var _i = 1;
         while(_i <= maximumPepin)
         {
            switch(_i)
            {
               case 1:
                  var _nPepinX = 0;
                  var _nPepinY = 10;
                  var _nPepinAngle = 0;
                  break;
               case 2:
                  var _nPepinX = -4;
                  var _nPepinY = 10;
                  var _nPepinAngle = 30;
                  break;
               case 3:
                  var _nPepinX = 4;
                  var _nPepinY = 10;
                  var _nPepinAngle = -30;
            }
            var _sLimit = "down";
            var _sNewProjectile = "projectile" + _global.contGame._nProjectleID;
            _global.contGame._nProjectleID = _global.contGame._nProjectleID + 1;
            _global.levelScreen._parent.mcObjProjectile.duplicateMovieClip(_sNewProjectile,_global.contGame._nSwapDepthIndex);
            _global.contGame._nSwapDepthIndex = _global.contGame._nSwapDepthIndex + 1;
            _global.levelScreen._parent[_sNewProjectile].gotoAndStop("projectilePepin");
            _global.levelScreen._parent[_sNewProjectile]._x = _global.levelScreen._parent.mcOpponent._x + 5;
            _global.levelScreen._parent[_sNewProjectile]._y = _global.levelScreen._parent.mcOpponent._y - 10;
            _global.levelScreen._parent[_sNewProjectile].fInitializeProperties("pepin",_nPepinX,_nPepinY,_sLimit,2.5,false,_nPepinAngle);
            _i++;
         }
      }
      else if(_rType == "melon")
      {
         _global.contSound.fManageSound("snd_canon","play",1,100);
         switch(this._sProjectileType)
         {
            case "a":
               var _nMelonNumber = 1;
               var _nMelonX1 = 10;
               var _nMelonY1 = -5;
               var _nMelonAngle1 = -120;
               var _nDistanceMelonX1 = 50;
               var _nDistanceMelonY1 = 30;
               break;
            case "b":
               var _nMelonNumber = 1;
               var _nMelonX1 = 10;
               var _nMelonY1 = 5;
               var _nMelonAngle1 = -70;
               var _nDistanceMelonX1 = 56;
               var _nDistanceMelonY1 = 60;
               break;
            case "c":
               var _nMelonNumber = 1;
               var _nMelonX1 = -10;
               var _nMelonY1 = 5;
               var _nMelonAngle1 = 120;
               var _nDistanceMelonX1 = -50;
               var _nDistanceMelonY1 = 30;
               break;
            case "d":
               var _nMelonNumber = 1;
               var _nMelonX1 = -10;
               var _nMelonY1 = -5;
               var _nMelonAngle1 = 70;
               var _nDistanceMelonX1 = -56;
               var _nDistanceMelonY1 = 60;
               break;
            case "e":
               var _nMelonNumber = 2;
               var _nMelonX1 = 10;
               var _nMelonY1 = 5;
               var _nMelonAngle1 = -70;
               var _nMelonX2 = -10;
               var _nMelonY2 = 5;
               var _nMelonAngle2 = 70;
               var _nDistanceMelonX1 = 56;
               var _nDistanceMelonY1 = 60;
               var _nDistanceMelonX2 = -56;
               var _nDistanceMelonY2 = 60;
               break;
            case "f":
               var _nMelonNumber = 2;
               var _nMelonX1 = 10;
               var _nMelonY1 = -5;
               var _nMelonAngle1 = -120;
               var _nMelonX2 = -10;
               var _nMelonY2 = -5;
               var _nMelonAngle2 = 120;
               var _nDistanceMelonX1 = 50;
               var _nDistanceMelonY1 = 30;
               var _nDistanceMelonX2 = -50;
               var _nDistanceMelonY2 = 30;
               break;
            case "g":
               var _nMelonNumber = 2;
               var _nMelonX1 = 10;
               var _nMelonY1 = -5;
               var _nMelonAngle1 = -120;
               var _nMelonX2 = 10;
               var _nMelonY2 = 5;
               var _nMelonAngle2 = -70;
               var _nDistanceMelonX1 = 50;
               var _nDistanceMelonY1 = 30;
               var _nDistanceMelonX2 = 56;
               var _nDistanceMelonY2 = 60;
               break;
            case "h":
               var _nMelonNumber = 2;
               var _nMelonX1 = -10;
               var _nMelonY1 = -5;
               var _nMelonAngle1 = 120;
               var _nMelonX2 = -10;
               var _nMelonY2 = -5;
               var _nMelonAngle2 = 70;
               var _nDistanceMelonX1 = -50;
               var _nDistanceMelonY1 = 30;
               var _nDistanceMelonX2 = -56;
               var _nDistanceMelonY2 = 60;
               break;
            case "i":
               var _nMelonNumber = 4;
               var _nMelonX1 = 10;
               var _nMelonY1 = -5;
               var _nMelonAngle1 = -120;
               var _nMelonX2 = 10;
               var _nMelonY2 = 5;
               var _nMelonAngle2 = -70;
               var _nMelonX3 = -10;
               var _nMelonY3 = -5;
               var _nMelonAngle3 = 120;
               var _nMelonX4 = -10;
               var _nMelonY4 = 5;
               var _nMelonAngle4 = 70;
               var _nDistanceMelonX1 = 50;
               var _nDistanceMelonY1 = 30;
               var _nDistanceMelonX2 = 56;
               var _nDistanceMelonY2 = 60;
               var _nDistanceMelonX3 = -50;
               var _nDistanceMelonY3 = 30;
               var _nDistanceMelonX4 = -56;
               var _nDistanceMelonY4 = 60;
         }
         var _i = 1;
         while(_i <= _nMelonNumber)
         {
            var _sNewProjectile = "projectile" + _global.contGame._nProjectleID;
            _global.contGame._nProjectleID = _global.contGame._nProjectleID + 1;
            _global.levelScreen._parent.mcObjProjectile.duplicateMovieClip(_sNewProjectile,_global.contGame._nSwapDepthIndex);
            _global.contGame._nSwapDepthIndex = _global.contGame._nSwapDepthIndex + 1;
            _global.levelScreen._parent[_sNewProjectile].gotoAndStop("projectileMelon");
            _global.levelScreen._parent[_sNewProjectile]._x = _global.levelScreen._parent.mcOpponent._x + eval("_nDistanceMelonX" + _i);
            _global.levelScreen._parent[_sNewProjectile]._y = _global.levelScreen._parent.mcOpponent._y + eval("_nDistanceMelonY" + _i);
            _global.levelScreen._parent[_sNewProjectile].fInitializeProperties("melon",eval("_nMelonX" + _i),eval("_nMelonY" + _i),_sLimit,25,false,eval("_nMelonAngle" + _i));
            _i++;
         }
      }
      else if(_rType == "pumpkin")
      {
         _global.contSound.fManageSound("snd_canon","play",1,80);
         switch(this._sProjectileType)
         {
            case "a":
               var _nPumpkinNumber = 1;
               var _nPumpkinX1 = -10;
               var _nPumpkinY1 = 5;
               var _nPumpkinAngle1 = -25;
               var _nDistancePumpkinX1 = -25;
               var _nDistancePumpkinY1 = -30;
               var _sLimit = "left";
               break;
            case "b":
               var _nPumpkinNumber = 1;
               var _nPumpkinX1 = 10;
               var _nPumpkinY1 = 5;
               var _nPumpkinAngle1 = 25;
               var _nDistancePumpkinX1 = 22;
               var _nDistancePumpkinY1 = -30;
               var _sLimit = "down";
               break;
            case "c":
               var _nPumpkinNumber = 2;
               var _nPumpkinX1 = -10;
               var _nPumpkinY1 = 5;
               var _nPumpkinAngle1 = -25;
               var _nPumpkinX2 = 10;
               var _nPumpkinY2 = 5;
               var _nPumpkinAngle2 = 25;
               var _nDistancePumpkinX1 = -25;
               var _nDistancePumpkinY1 = -30;
               var _nDistancePumpkinX2 = 22;
               var _nDistancePumpkinY2 = -30;
               var _sLimit = "down";
         }
         var _i = 1;
         while(_i <= _nPumpkinNumber)
         {
            var _sNewProjectile = "projectile" + _global.contGame._nProjectleID;
            _global.contGame._nProjectleID = _global.contGame._nProjectleID + 1;
            _global.levelScreen._parent.mcObjProjectile.duplicateMovieClip(_sNewProjectile,_global.contGame._nSwapDepthIndex);
            _global.contGame._nSwapDepthIndex = _global.contGame._nSwapDepthIndex + 1;
            _global.levelScreen._parent[_sNewProjectile].gotoAndStop("projectilePumpkin");
            _global.levelScreen._parent[_sNewProjectile]._x = _global.levelScreen._parent.mcOpponent._x + eval("_nDistancePumpkinX" + _i);
            _global.levelScreen._parent[_sNewProjectile]._y = _global.levelScreen._parent.mcOpponent._y + eval("_nDistancePumpkinY" + _i);
            _global.levelScreen._parent[_sNewProjectile].fInitializeProperties("pumpkin",eval("_nPumpkinX" + _i),eval("_nPumpkinY" + _i),_sLimit,30,false,eval("_nPumpkinAngle" + _i));
            _i++;
         }
      }
      else if(_rType == "eggs")
      {
         switch(this._sProjectileType)
         {
            case "left":
               var _nEggsNumber = 3;
               var _nEggsX1 = -10;
               var _nEggsY1 = 5;
               var _nEggsAngle1 = 45;
               var _nDistanceEggsX1 = -30;
               var _nDistanceEggsY1 = -65;
               var _nEggsX2 = -10;
               var _nEggsY2 = 0;
               var _nEggsAngle2 = 90;
               var _nDistanceEggsX2 = -30;
               var _nDistanceEggsY2 = -65;
               var _nEggsX3 = -10;
               var _nEggsY3 = -5;
               var _nEggsAngle3 = 135;
               var _nDistanceEggsX3 = -30;
               var _nDistanceEggsY3 = -65;
               var _sLimit = "left";
               break;
            case "right":
               var _nEggsNumber = 3;
               var _nEggsX1 = 10;
               var _nEggsY1 = -5;
               var _nEggsAngle1 = 45;
               var _nDistanceEggsX1 = 30;
               var _nDistanceEggsY1 = -65;
               var _nEggsX2 = 10;
               var _nEggsY2 = 0;
               var _nEggsAngle2 = 90;
               var _nDistanceEggsX2 = 30;
               var _nDistanceEggsY2 = -65;
               var _nEggsX3 = 10;
               var _nEggsY3 = 5;
               var _nEggsAngle3 = 135;
               var _nDistanceEggsX3 = 30;
               var _nDistanceEggsY3 = -65;
               var _sLimit = "right";
               break;
            case "both":
               var _nEggsNumber = 6;
               var _nEggsX1 = -10;
               var _nEggsY1 = 5;
               var _nEggsAngle1 = 45;
               var _nDistanceEggsX1 = -30;
               var _nDistanceEggsY1 = -65;
               var _nEggsX2 = -10;
               var _nEggsY2 = 0;
               var _nEggsAngle2 = 90;
               var _nDistanceEggsX2 = -30;
               var _nDistanceEggsY2 = -65;
               var _nEggsX3 = -10;
               var _nEggsY3 = -5;
               var _nEggsAngle3 = 135;
               var _nDistanceEggsX3 = -30;
               var _nDistanceEggsY3 = -65;
               var _nEggsX4 = 10;
               var _nEggsY4 = -5;
               var _nEggsAngle4 = 45;
               var _nDistanceEggsX4 = 30;
               var _nDistanceEggsY4 = -65;
               var _nEggsX5 = 10;
               var _nEggsY5 = 0;
               var _nEggsAngle5 = 90;
               var _nDistanceEggsX5 = 30;
               var _nDistanceEggsY5 = -65;
               var _nEggsX6 = 10;
               var _nEggsY6 = 5;
               var _nEggsAngle6 = 135;
               var _nDistanceEggsX6 = 30;
               var _nDistanceEggsY6 = -65;
               var _sLimit = "down";
         }
         var _i = 1;
         while(_i <= _nEggsNumber)
         {
            var _sNewProjectile = "projectile" + _global.contGame._nProjectleID;
            _global.contGame._nProjectleID = _global.contGame._nProjectleID + 1;
            _global.levelScreen._parent.mcObjProjectile.duplicateMovieClip(_sNewProjectile,_global.contGame._nSwapDepthIndex);
            _global.contGame._nSwapDepthIndex = _global.contGame._nSwapDepthIndex + 1;
            _global.levelScreen._parent[_sNewProjectile].gotoAndStop("projectileEggs");
            _global.levelScreen._parent[_sNewProjectile]._x = _global.levelScreen._parent.mcOpponent._x + eval("_nDistanceEggsX" + _i);
            _global.levelScreen._parent[_sNewProjectile]._y = _global.levelScreen._parent.mcOpponent._y + eval("_nDistanceEggsY" + _i);
            _global.levelScreen._parent[_sNewProjectile].fInitializeProperties("eggs",eval("_nEggsX" + _i),eval("_nEggsY" + _i),_sLimit,10,false,eval("_nEggsAngle" + _i));
            _i++;
         }
      }
   }
   function fMoveXOpponent(_rDirectionX, _rNextZoneX, _rDistanceX)
   {
      var _loc1_ = this;
      _loc1_._sDirectionX = _rDirectionX;
      _loc1_._sNextZoneX = _rNextZoneX;
      _loc1_._nDistanceX = _rDistanceX;
   }
   function fMoveYOpponent(_rDirectionY, _rNextZoneY, _rDistanceY)
   {
      var _loc1_ = this;
      _loc1_._sDirectionY = _rDirectionY;
      _loc1_._sNextZoneY = _rNextZoneY;
      _loc1_._nDistanceY = _rDistanceY;
   }
   function fMoveOpponent()
   {
      var _loc1_ = this;
      if(_loc1_._sDirectionX == "right")
      {
         var _loc2_ = Math.floor(_loc1_._nStartPosX + _loc1_._nDistanceX);
         _loc1_._nSpeedX += _loc1_._nVelocity * Math.floor(_loc1_._nDistanceX / 40);
         if(_loc1_._x + _loc1_._nSpeedX < _loc2_)
         {
            _loc1_._x += _loc1_._nSpeedX;
         }
         else
         {
            _loc1_._x = _loc2_;
            _loc1_._nSpeedX = 0;
            _loc1_._sZone = _loc1_._sNextZoneY + _loc1_._sNextZoneX;
            _loc1_._nStartPosX = _loc1_._x;
            _loc1_._sDirectionX = "idle";
         }
      }
      if(_loc1_._sDirectionX == "left")
      {
         _loc2_ = Math.floor(_loc1_._nStartPosX + _loc1_._nDistanceX);
         _loc1_._nSpeedX += _loc1_._nVelocity * Math.floor(_loc1_._nDistanceX / 40);
         if(_loc1_._x + _loc1_._nSpeedX > _loc2_)
         {
            _loc1_._x += _loc1_._nSpeedX;
         }
         else
         {
            _loc1_._x = _loc2_;
            _loc1_._nSpeedX = 0;
            _loc1_._sZone = _loc1_._sNextZoneY + _loc1_._sNextZoneX;
            _loc1_._nStartPosX = _loc1_._x;
            _loc1_._sDirectionX = "idle";
         }
      }
      if(_loc1_._sDirectionY == "up")
      {
         _loc2_ = Math.floor(_loc1_._nStartPosY + _loc1_._nDistanceY);
         _loc1_._nSpeedY += _loc1_._nVelocity * Math.floor(_loc1_._nDistanceY / 40);
         if(_loc1_._y + _loc1_._nSpeedY > _loc2_)
         {
            _loc1_._y += _loc1_._nSpeedY;
         }
         else
         {
            _loc1_._y = _loc2_;
            _loc1_._nSpeedY = 0;
            _loc1_._sZone = _loc1_._sNextZoneY + _loc1_._sNextZoneX;
            _loc1_._nStartPosY = _loc1_._y;
            _loc1_._sDirectionY = "idle";
         }
      }
      if(_loc1_._sDirectionY == "down")
      {
         _loc2_ = Math.floor(_loc1_._nStartPosY + _loc1_._nDistanceY);
         _loc1_._nSpeedY += _loc1_._nVelocity * Math.floor(_loc1_._nDistanceY / 40);
         if(_loc1_._y + _loc1_._nSpeedY < _loc2_)
         {
            _loc1_._y += _loc1_._nSpeedY;
         }
         else
         {
            _loc1_._y = _loc2_;
            _loc1_._nSpeedY = 0;
            _loc1_._sZone = _loc1_._sNextZoneY + _loc1_._sNextZoneX;
            _loc1_._nStartPosY = _loc1_._y;
            _loc1_._sDirectionY = "idle";
         }
      }
   }
   function fGetMoveDirection(_rWay)
   {
      var _loc1_ = this;
      var _loc2_ = _rWay;
      if(_loc1_._sDirectionX == "idle" and _loc1_._sDirectionY == "idle")
      {
         if(_loc2_ == 2)
         {
            if(_loc1_._sZone.indexOf("Top") == -1)
            {
               _loc1_.fMoveXOpponent(_loc1_._sDirectionX,_loc1_._sNextZoneX,0);
               _loc1_.fMoveYOpponent("up","Top",-75);
            }
         }
         else if(_loc2_ == 6)
         {
            if(_loc1_._sZone.indexOf("Bottom") == -1)
            {
               _loc1_.fMoveXOpponent(_loc1_._sDirectionX,_loc1_._sNextZoneX,0);
               _loc1_.fMoveYOpponent("down","Bottom",75);
            }
         }
         else if(_loc2_ == 4)
         {
            if(_loc1_._sZone.indexOf("Right") == -1)
            {
               if(_loc1_._sZone.indexOf("Middle") != -1)
               {
                  _loc1_.fMoveXOpponent("right","Right",60);
                  _loc1_.fMoveYOpponent(_loc1_._sDirectionY,_loc1_._sNextZoneY);
               }
               else
               {
                  _loc1_.fMoveXOpponent("right","Middle",60);
                  _loc1_.fMoveYOpponent(_loc1_._sDirectionY,_loc1_._sNextZoneY);
               }
            }
         }
         else if(_loc2_ == 8)
         {
            if(_loc1_._sZone.indexOf("Left") == -1)
            {
               if(_loc1_._sZone.indexOf("Middle") != -1)
               {
                  _loc1_.fMoveXOpponent("left","Left",-60);
                  _loc1_.fMoveYOpponent(_loc1_._sDirectionY,_loc1_._sNextZoneY);
               }
               else
               {
                  _loc1_.fMoveXOpponent("left","Middle",-60);
                  _loc1_.fMoveYOpponent(_loc1_._sDirectionY,_loc1_._sNextZoneY);
               }
            }
         }
         else if(_loc2_ == 1)
         {
            if(_loc1_._sZone != "BottomLeft" and _loc1_._sZone.indexOf("Top") == -1)
            {
               if(_loc1_._sZone.indexOf("Right") != -1)
               {
                  _loc1_.fMoveXOpponent("left","Middle",-60);
                  _loc1_.fMoveYOpponent("up","Top",-75);
               }
               else
               {
                  _loc1_.fMoveXOpponent("left","Left",-60);
                  _loc1_.fMoveYOpponent("up","Top",-75);
               }
            }
         }
         else if(_loc2_ == 3)
         {
            if(_loc1_._sZone != "BottomRight" and _loc1_._sZone.indexOf("Top") == -1)
            {
               if(_loc1_._sZone.indexOf("Left") != -1)
               {
                  _loc1_.fMoveXOpponent("right","Middle",60);
                  _loc1_.fMoveYOpponent("up","Top",-75);
               }
               else
               {
                  _loc1_.fMoveXOpponent("right","Right",60);
                  _loc1_.fMoveYOpponent("up","Top",-75);
               }
            }
         }
         else if(_loc2_ == 5)
         {
            if(_loc1_._sZone != "TopRight" and _loc1_._sZone.indexOf("Bottom") == -1)
            {
               if(_loc1_._sZone.indexOf("Left") != -1)
               {
                  _loc1_.fMoveXOpponent("right","Middle",60);
                  _loc1_.fMoveYOpponent("down","Bottom",75);
               }
               else
               {
                  _loc1_.fMoveXOpponent("right","Right",60);
                  _loc1_.fMoveYOpponent("down","Bottom",75);
               }
            }
         }
         else if(_loc2_ == 7)
         {
            if(_loc1_._sZone != "TopLeft" and _loc1_._sZone.indexOf("Bottom") == -1)
            {
               if(_loc1_._sZone.indexOf("Right") != -1)
               {
                  _loc1_.fMoveXOpponent("left","Middle",-60);
                  _loc1_.fMoveYOpponent("down","Bottom",75);
               }
               else
               {
                  _loc1_.fMoveXOpponent("left","Left",-60);
                  _loc1_.fMoveYOpponent("down","Bottom",75);
               }
            }
         }
      }
   }
   function fChangeColor(_rMode)
   {
      var _loc1_ = this;
      if(_rMode == "hit")
      {
         _loc1_._bColored = true;
         _loc1_._objColor = new Color(_loc1_.mcBoss);
         var _aMyColorTransform = {ra:"100",rb:"-75",ga:"100",gb:"75",ba:"100",bb:"0",aa:"100",ab:"0"};
         _loc1_._objColor.setTransform(_aMyColorTransform);
      }
      else if(_rMode == "toNormal")
      {
         var _loc3_ = 0;
         var _loc2_ = 0;
         var _aMyColorTransform = _loc1_._objColor.getTransform();
         if(_aMyColorTransform.rb < 0)
         {
            _loc3_ = int(_aMyColorTransform.rb) + 5;
         }
         if(_aMyColorTransform.gb > 0)
         {
            _loc2_ = int(_aMyColorTransform.gb) - 5;
         }
         if(_loc3_ > 0)
         {
            _loc3_ = 0;
         }
         if(_loc2_ < 0)
         {
            _loc2_ = 0;
         }
         if(_loc3_ == 0 and _loc2_ == 0)
         {
            _loc1_._bColored = false;
            var _aMyColorTransform = {ra:"100",rb:_loc3_,ga:"100",gb:_loc2_,ba:"100",bb:"0",aa:"100",ab:"0"};
            _loc1_._objColor.setTransform(_aMyColorTransform);
         }
         else
         {
            var _aMyColorTransform = {ra:"100",rb:_loc3_,ga:"100",gb:_loc2_,ba:"100",bb:"0",aa:"100",ab:"0"};
            _loc1_._objColor.setTransform(_aMyColorTransform);
         }
      }
   }
   function fItemDelete()
   {
      this.swapDepths(7666);
      this.removeMovieClip();
   }
}
