function fManageInterface(mode)
{
   var _loc1_ = _global;
   var _loc2_ = mode;
   if(_loc2_ == "init")
   {
      fMoveSpeedMeterBar();
      _loc1_.mcInterface.mcLifeBar.gotoAndStop(array_gameplay[3]);
      _loc1_.mcInterface.txt_nScore = _loc1_.contMain.fStyleNumber(array_gameplay[0],1);
      _loc1_.mcInterface.txt_nAmmo = _loc1_.contMain.fStyleNumber(array_gameplay[1],2);
      _loc1_.mcInterface.mcLiveCount.gotoAndStop(array_gameplay[2] + 1);
   }
   else if(_loc2_ == "addPoint")
   {
      _loc1_.mcInterface.txt_nScore = _loc1_.contMain.fStyleNumber(array_gameplay[0],1);
   }
   else if(_loc2_ == "manageDonut")
   {
      _loc1_.mcInterface.txt_nAmmo = _loc1_.contMain.fStyleNumber(array_gameplay[1],2);
   }
   else if(_loc2_ == "manageLive")
   {
      _loc1_.mcInterface.mcLiveCount.gotoAndStop(array_gameplay[2] + 1);
   }
   else if(_loc2_ == "manageEnergy")
   {
      if(_loc1_.mcInterface.mcLifeBar._currentframe < array_gameplay[3])
      {
         _loc1_.mcInterface.mcLifeBar.nextFrame();
      }
      else if(_loc1_.mcInterface.mcLifeBar._currentframe > array_gameplay[3])
      {
         _loc1_.mcInterface.mcLifeBar.prevFrame();
      }
   }
}
function fCheckKey()
{
   if(_global.levelScreen.mcVehicule._bDuelMode == true and _global.contPause.opened == false)
   {
      _sKey = String.fromCharCode(Key.getCode());
      if(_sKey == "D")
      {
         fAttack("donut","init");
      }
      else if(_sKey == "S")
      {
         fAttack("strech");
      }
   }
}
function fAttack(_rType, _rMode)
{
   var _loc1_ = _global;
   var _loc2_ = this;
   if(_rType == "donut")
   {
      if(array_gameplay[1] >= 1)
      {
         if(_rMode == "init")
         {
            if(getTimer() - 300 >= _nDelay)
            {
               _nDelay = getTimer();
               _loc1_.levelScreen.mcVehicule.gordon.gotoAndPlay("attack");
            }
         }
         else
         {
            _nBoundsVehicule = _loc1_.levelScreen.mcVehicule.getBounds(_loc1_.levelScreen._parent);
            fManageDonut(-1);
            _sNewProjectile = "projectile" + _nProjectileID;
            _nProjectileID++;
            _loc1_.levelScreen._parent.mcObjProjectile.duplicateMovieClip(_sNewProjectile,_nSwapDepthIndex);
            _nSwapDepthIndex++;
            _loc1_.contSound.fManageSound("snd_throw01","play",1,50);
            _loc1_.levelScreen._parent[_loc2_._sNewProjectile].gotoAndStop("projectileDonut");
            _loc1_.levelScreen._parent[_loc2_._sNewProjectile].projectile.gotoAndStop(random(3) + 1);
            _loc1_.levelScreen._parent[_loc2_._sNewProjectile].fInitializeProperties("donut",0,-20,"up",4,false);
            _nBoundsVehicule = _loc1_.levelScreen.mcVehicule.gordon.getBounds(_loc1_.levelScreen._parent);
            _loc1_.levelScreen._parent[_loc2_._sNewProjectile]._x = _nBoundsVehicule.xMax - 15;
            _loc1_.levelScreen._parent[_loc2_._sNewProjectile]._y = _nBoundsVehicule.yMin - 10;
         }
      }
   }
   else if(_rType == "strech")
   {
      if(getTimer() - 600 >= _nDelay)
      {
         _nDelay = getTimer();
         _loc1_.contSound.fManageSound("snd_throw01","play",1,50);
         _loc2_._bWaffleAttack = true;
         _loc1_.levelScreen.mcVehicule.waffle.gotoAndPlay("attack");
      }
   }
}
function fAddPoint(_rPoint)
{
   array_gameplay[0] += _rPoint;
   fManageInterface("addPoint");
}
function fManageDonut(_rDonut)
{
   array_gameplay[1] += _rDonut;
   fManageInterface("manageDonut");
}
function fManageLive(_rLive)
{
   if(_rLive < 1)
   {
      fManageEnergy(100);
   }
   array_gameplay[2] += _rLive;
   fVerifyLiveLeft();
   if(array_gameplay[3] >= 0)
   {
      fManageInterface("manageLive");
   }
}
function fManageEnergy(_rEnergy)
{
   var _loc1_ = _global;
   array_gameplay[3] += _rEnergy;
   if(array_gameplay[3] > 100)
   {
      array_gameplay[3] = 100;
   }
   else if(array_gameplay[3] < 0)
   {
      array_gameplay[3] = 1;
      _loc1_.contSound.fManageSound("snd_die","play",1,85);
      _loc1_.levelScreen.mcVehicule._bGoSafeZone = false;
      _loc1_.levelScreen.mcVehicule._bLoseLive = true;
   }
   fManageInterface("manageEnergy");
}
function fVerifyLiveLeft()
{
   var _loc1_ = _global;
   if(array_gameplay[2] > 9)
   {
      array_gameplay[2] = 9;
   }
   else if(array_gameplay[2] == -1)
   {
      this.fSendScoreToMain();
      _loc1_.contPause.opened = true;
      _loc1_.contTrans.str_previousScreen = _parent._currentframe;
      _loc1_.contTrans.str_nextScreen = "loseScreen";
      _loc1_.contTrans.gotoAndStop("start");
   }
}
function fManageSpeedMax(_rSpeed)
{
   var _loc1_ = _global;
   var _loc2_ = this;
   var _loc3_ = _rSpeed;
   if(_loc3_ > 0)
   {
      _loc1_.levelScreen.mcVehicule.mcBoostFire.gotoAndPlay(2);
      _loc1_.levelScreen._parent.mcInterface.mcSpeedMeter.mcBoost.gotoAndStop("boost");
      _loc2_._nSpeedMaxStart = _loc1_.levelScreen.mcVehicule._nSpeedMax;
      _loc2_._nSpeedBoost += _loc3_;
      _loc2_._nBoostDuration = getTimer() + 3000;
      _loc1_.levelScreen.mcVehicule._nSpeedMax += _loc3_;
   }
   else
   {
      _loc1_.levelScreen.mcVehicule.mcBoostFire.gotoAndStop(1);
      _loc1_.levelScreen._parent.mcInterface.mcSpeedMeter.mcBoost.gotoAndStop("idle");
      _loc2_._nSpeedBoost += _loc3_;
      _loc2_._nBoostDuration = 0;
      if(_loc2_._nSpeedBoost <= 0)
      {
         _loc2_._nSpeedBoost = 0;
         _loc1_.levelScreen.mcVehicule._nSpeedMax = _loc2_._nSpeedMaxStart;
      }
      else
      {
         _loc1_.levelScreen.mcVehicule._nSpeedMax += _loc3_;
      }
   }
}
function fMoveSpeedMeterBar()
{
   _nAngleSpeed = _global.levelScreen.mcVehicule._nSpeed * _nSpeedMeterFactor;
   _global.mcInterface.mcSpeedMeter.mcSpeedMeterBar._rotation = -90 + _nAngleSpeed;
}
function fInitializeLevel()
{
   var _loc1_ = _global;
   var _loc2_ = _parent;
   array_gameplay = new Array();
   _loc1_.levelScreen = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1"];
   _loc1_.activator1 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator1;
   _loc1_.activator2 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator2;
   _loc1_.activator3 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator3;
   _loc1_.activator4 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator4;
   _loc1_.activator5 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator5;
   _loc1_.activator6 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator6;
   _loc1_.activator7 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator7;
   _loc1_.activator8 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator8;
   _loc1_.activator9 = _loc2_.levelScreen["level" + _loc1_.contMain._nLevel + "Map1_ref"].mcActivator9;
   _loc1_.mcInterface = _loc2_.levelScreen.mcInterface;
   array_gameplay = [_loc1_.contMain.array_gamePlay[0],_loc1_.contMain.array_gamePlay[1],_loc1_.contMain.array_gamePlay[2],_loc1_.contMain.array_gamePlay[3]];
   _nSpeedMeterFactor = 0;
   _nSwapDepthIndex = 500;
   _nProjectileID = 0;
   _nDelay = 0;
   _nSpeedBoost = 0;
   _nBoostDuration = 0;
   _nSpeedMaxStart = 0;
   _bWaffleAttack = false;
   _loc1_.levelScreen.mcVehicule.fInitializeProperties(5,20,0.3);
   fManageInterface("init");
}
function fSendScoreToMain()
{
   var _loc1_ = this;
   var _loc2_ = _global;
   _loc2_.contMain.array_gamePlay[0] = _loc1_.array_gameplay[0];
   _loc2_.contMain.array_gamePlay[1] = _loc1_.array_gameplay[1];
   _loc2_.contMain.array_gamePlay[2] = _loc1_.array_gameplay[2];
   _loc2_.contMain._nCarCondition = _loc1_.array_gameplay[3] + _loc1_.array_gameplay[2] * 100;
}
function fCameraCenter()
{
   var _loc1_ = _global;
   var _loc3_ = this;
   if(_loc1_.contMain._nLevel == 3)
   {
      _limit = 40;
   }
   else
   {
      _limit = 60;
   }
   _nLevelBounds = _loc1_.levelScreen.getBounds(_loc1_.stage);
   _nVehiculeBounds = _loc1_.levelScreen.mcVehicule.getBounds(_loc1_.levelScreen._parent);
   if(_loc1_.levelScreen.mcVehicule._x > - _limit and _loc1_.levelScreen.mcVehicule._x < _limit)
   {
      _loc3_._bDecorStickL = false;
      _loc3_._bDecorStickR = false;
   }
   else if(_loc1_.levelScreen.mcVehicule._x < - _limit and _nLevelBounds.xMin + 5 < -20)
   {
      if(_loc3_._bDecorStickL == false)
      {
         _loc1_.levelScreen._x += 5;
         if(_loc1_.levelScreen.mcVehicule._bDuelMode == true)
         {
            _loc1_.levelScreen._parent.mcOpponent._x += 5;
            _loc1_.levelScreen._parent.mcOpponent._nDistanceTotal -= 5;
            _loc1_.levelScreen._parent.mcOpponent._nStartPosX += 5;
         }
      }
   }
   else if(_loc1_.levelScreen.mcVehicule._x > _limit and _nLevelBounds.xMax - 5 > 390)
   {
      if(_loc3_._bDecorStickR == false)
      {
         _loc1_.levelScreen._x -= 5;
         if(_loc1_.levelScreen.mcVehicule._bDuelMode == true)
         {
            _loc1_.levelScreen._parent.mcOpponent._x -= 5;
            _loc1_.levelScreen._parent.mcOpponent._nDistanceTotal += 5;
            _loc1_.levelScreen._parent.mcOpponent._nStartPosX -= 5;
         }
      }
   }
   _nLevelBounds = _loc1_.levelScreen.getBounds(_loc1_.stage);
   if(_nLevelBounds.xMax < 380)
   {
      var _loc2_ = 380 - _nLevelBounds.xMax;
      _loc1_.levelScreen._x += _loc2_;
      if(_loc1_.levelScreen.mcVehicule._bDuelMode == true)
      {
         _loc1_.levelScreen._parent.mcOpponent._x += _loc2_;
         _loc1_.levelScreen._parent.mcOpponent._nDistanceTotal -= _loc2_;
         _loc1_.levelScreen._parent.mcOpponent._nStartPosX += _loc2_;
      }
   }
   if(_nLevelBounds.xMin > -10)
   {
      _loc2_ = nLevelBounds.xMin - -10;
      _loc1_.levelScreen._x -= _loc2_;
      if(_loc1_.levelScreen.mcVehicule._bDuelMode == true)
      {
         _loc1_.levelScreen._parent.mcOpponent._x -= _loc2_;
         _loc1_.levelScreen._parent.mcOpponent._nDistanceTotal += _loc2_;
         _loc1_.levelScreen._parent.mcOpponent._nStartPosX -= _loc2_;
      }
   }
}
function fUpdatePosition()
{
   var _loc1_ = _global;
   var _loc2_ = this;
   _nLevelBounds = _loc1_.levelScreen.getBounds(_loc1_.stage);
   if(_nLevelBounds.xMin + _loc1_.levelScreen.mcVehicule._nMoveDecor > -20)
   {
      if(_loc2_._bDecorStick == false)
      {
         _loc1_.levelScreen._x += -20 - _nLevelBounds.xMin;
      }
      _loc2_._bDecorStick = true;
      _loc2_._bDecorStickL = true;
      _loc2_._bDecorStickR = false;
      _loc1_.levelScreen.mcVehicule._x -= _loc1_.levelScreen.mcVehicule._nMoveDecor;
   }
   else if(_nLevelBounds.xMax + _loc1_.levelScreen.mcVehicule._nMoveDecor < 390)
   {
      if(_loc2_._bDecorStick == false)
      {
         _loc1_.levelScreen._x -= _nLevelBounds.xMax - 390;
      }
      _loc2_._bDecorStick = true;
      _loc2_._bDecorStickL = false;
      _loc2_._bDecorStickR = true;
      _loc1_.levelScreen.mcVehicule._x -= _loc1_.levelScreen.mcVehicule._nMoveDecor;
   }
   else
   {
      _loc2_._bDecorStick = false;
      _nLevelBounds = _loc1_.levelScreen.getBounds(_loc1_.stage);
      _nVehiculeBounds = _loc1_.levelScreen.mcVehicule.getBounds(_loc1_.stage);
      _loc1_.levelScreen.mcVehicule._x -= _loc1_.levelScreen.mcVehicule._nMoveDecor;
      _loc1_.levelScreen._x += _loc1_.levelScreen.mcVehicule._nMoveDecor;
      if(_loc1_.levelScreen.mcVehicule._bDuelMode == true)
      {
         _loc1_.levelScreen._parent.mcOpponent._x += _loc1_.levelScreen.mcVehicule._nMoveDecor;
         _loc1_.levelScreen._parent.mcOpponent._nDistanceTotal -= _loc1_.levelScreen.mcVehicule._nMoveDecor;
         _loc1_.levelScreen._parent.mcOpponent._nStartPosX += _loc1_.levelScreen.mcVehicule._nMoveDecor;
      }
   }
   _loc1_.levelScreen._parent.mcFinishLine._x = _loc1_.levelScreen._x;
   if(_loc1_.levelScreen.mcVehicule._bDuelMode == false)
   {
      _loc1_.activator1._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.activator2._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.activator3._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.activator4._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.activator5._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.activator6._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.activator7._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.activator8._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.activator9._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.levelScreen._y += _loc1_.levelScreen.mcVehicule._nSpeedDecor;
      _loc1_.levelScreen.mcVehicule._y -= _loc1_.levelScreen.mcVehicule._nSpeedDecor;
   }
}
function fEmptyVarGame()
{
   array_gameplay = [];
}
_global.contGame = this;
fInitializeLevel();
stop();
