function fInitializeContMain()
{
   var _loc1_ = this;
   array_gamePlay = [0,12,3,100];
   _nCarCondition = 0;
   _nLevel = 1;
   _bShowStats = false;
   _loc1_._nLevelStartTime = 0;
   _loc1_._nPauseStartTime = 0;
   _loc1_.bol_submit = false;
}
function fStyleNumber(number, minimumChar)
{
   int_number = String(number);
   int_newString = "";
   int_length = int_number.length;
   int_length /= 3;
   if(int_length <= 1)
   {
      str_number = int_number;
      if(str_number.length < minimumChar)
      {
         str_number = "0" + str_number;
      }
      return str_number;
   }
   int_boucle = int_length;
   while(int_boucle > 1)
   {
      int_newString = " " + int_number.substr(-3) + int_newString;
      int_number = int_number.substr(0,-3);
      int_boucle--;
   }
   str_number = int_number + int_newString;
   if(str_number.length < minimumChar)
   {
      str_number = "0" + str_number;
   }
   return str_number;
}
function fPause(mode)
{
   var _loc1_ = _global;
   _loc1_.contTrans.str_previousScreen = _parent._currentframe;
   _loc1_.contTrans.str_nextScreen = _parent._currentframe;
   _loc1_.contPause.opened = true;
   this._nPauseStartTime = getTimer();
   _loc1_.b.broadcastMessage("onPause");
   _loc1_.levelScreen._parent.mcInterface.btn_menu.enabled = false;
   _loc1_.levelScreen._parent.mcInterface.btn_quit.enabled = false;
   _loc1_.levelScreen.mcVehicule.gordon.stop();
   _loc1_.levelScreen.mcVehicule.waffle.stop();
   if(mode != "anim")
   {
      if(_loc1_.contPause.paused == true)
      {
         _loc1_.contPause.gotoAndStop("pause");
      }
      else
      {
         _loc1_.contPause.gotoAndStop("instruction");
      }
   }
}
function fUnPause()
{
   var _loc1_ = _global;
   _loc1_.contPause.opened = false;
   var _loc2_ = getTimer() - this._nPauseStartTime;
   this._nLevelStartTime += _loc2_;
   if(_loc1_.levelScreen.mcVehicule._bDuelMode == true)
   {
      _loc1_.levelScreen._parent.mcOpponent._nDelayPhoto += _loc2_;
      _loc1_.contGame._nDelay += _loc2_;
   }
   if(_loc1_.contGame._nBoostDuration > 0)
   {
      _loc1_.contGame._nBoostDuration += _loc2_;
   }
   if(_loc1_.contGame._bInvinsible == true)
   {
      _loc1_.levelScreen.mcVehicule._nInvinsibleTime += _loc2_;
   }
   _loc1_.levelScreen._parent.mcInterface.btn_menu.enabled = true;
   _loc1_.levelScreen._parent.mcInterface.btn_quit.enabled = true;
   if(_loc1_.levelScreen.mcVehicule.gordon._currentframe != 1)
   {
      _loc1_.levelScreen.mcVehicule.gordon.play();
   }
   if(_loc1_.levelScreen.mcVehicule.waffle._currentframe != 1)
   {
      _loc1_.levelScreen.mcVehicule.waffle.play();
   }
   _loc1_.b.broadcastMessage("onPlay");
   _loc1_.contPause.gotoAndStop(1);
}
_global.contMain = this;
fInitializeContMain();
getScores = function()
{
   if(gProxyObj == undefined)
   {
      _global.contMain.listScores();
   }
   else
   {
      _global.contMain.bol_waiting = true;
      gProxyObj.getScores(cbFunc2);
   }
};
submitScore = function(theScore)
{
   this.bol_submit = true;
   gProxyObj.submitScore(theScore,cbFunc);
};
initHiScores = function(path)
{
   _global.contMain.str_highScoreTxtPath = path + ".mcHighScore.txt_highScore";
   gProxyObj.setGame_Id("cs_race");
};
getScoreString = function()
{
   var str = "Oops! The high score list isn\'t available right now!";
   if(gProxyObj != undefined)
   {
      var numScores = gProxyObj.getScoreCount();
      if(numScores > 0)
      {
         var _loc1_ = undefined;
         var thisPlayer;
         var _loc3_ = undefined;
         var thisScore;
         str = "";
         _loc1_ = 0;
         while(_loc1_ < numScores)
         {
            thisPlayer = gProxyObj.getScoreItem(_loc1_);
            _loc3_ = thisPlayer[0];
            thisScore = _global.contMain.fStyleNumber(thisPlayer[1]);
            spaceNb = 36 - _loc3_.length - thisScore.length;
            spaceTXT = "";
            var _loc2_ = 0;
            while(_loc2_ < spaceNb)
            {
               spaceTXT += " ";
               _loc2_ = _loc2_ + 1;
            }
            if(_loc1_ < 9)
            {
               str += _loc1_ + 1 + "   " + _loc3_ + spaceTXT + thisScore + "\n";
            }
            else if(_loc1_ < 99)
            {
               str += _loc1_ + 1 + "  " + _loc3_ + spaceTXT + thisScore + "\n";
            }
            else
            {
               str += _loc1_ + 1 + " " + _loc3_ + spaceTXT + thisScore + "\n";
            }
            _loc1_ = _loc1_ + 1;
         }
      }
      else
      {
         str = "Whoops, the high scores seem to have escaped!";
      }
   }
   return str;
};
listScores = function()
{
   eval(_global.contMain.str_highScoreTxtPath).text = _global.contMain.getScoreString();
   _global.contMain.bol_waiting = false;
};
cbFunc = function(thisBool)
{
   if(thisBool)
   {
      _global.contMain.listScores();
   }
   else
   {
      eval(_global.contMain.str_highScoreTxtPath).text = "Oops! The high score list isn’t available right now!";
      _global.contMain.bol_waiting = false;
   }
};
cbFunc2 = function(thisBool)
{
   if(thisBool)
   {
      _global.contMain.listScores();
   }
   else
   {
      _global.contMain.bol_waiting = false;
      eval(_global.contMain.str_highScoreTxtPath).text = "Oops! The high score list isn’t available right now!";
   }
};
stop();
