class objItem extends MovieClip
{
   var _bAir = false;
   var _bPicked = false;
   var _bPaused = true;
   function objItem()
   {
      super();
   }
   function fInitializeProperties(_rType, _rAir)
   {
      var _loc1_ = this;
      _loc1_._sType = _rType;
      _loc1_._bAir = _rAir;
      _loc1_.gotoAndStop(_loc1_._sType);
      switch(_loc1_._sType)
      {
         case "donut":
            _loc1_._nPoint = 60;
            break;
         case "donutPack":
            _loc1_._nPoint = 500;
            break;
         case "wrench":
            _loc1_._nPoint = 1000;
            break;
         case "live":
            _loc1_._nPoint = 2500;
            break;
         case "oilCan":
            _loc1_._nPoint = 1500;
      }
   }
   function onEnterFrame()
   {
      var _loc1_ = _global;
      var _loc2_ = this;
      _loc2_._bPaused = _loc1_.contPause.opened;
      if(_loc2_._bPaused == false)
      {
         _loc2_._nBoundsVehicule = _loc1_.levelScreen.mcVehicule.mcHitZone.getBounds(_loc1_.stage);
         _loc2_._nBoundsThis = _loc2_.getBounds(_loc1_.stage);
         if(_loc2_.hitTest(_loc1_.levelScreen.mcVehicule.mcHitZone) and _loc2_._bPicked == false)
         {
            if(_loc2_._bAir == _loc1_.levelScreen.mcVehicule._bAir)
            {
               _loc2_._bPicked = true;
               _loc2_.gotoAndPlay("delete");
               _loc1_.contGame.fAddPoint(_loc2_._nPoint);
               _loc1_.contSound.fManageSound("snd_collect","play",1,80);
               switch(_loc2_._sType)
               {
                  case "donut":
                     _loc1_.contSound.fManageSound("snd_collect","play",1,80);
                     _loc1_.contGame.fManageDonut(1);
                     break;
                  case "donutPack":
                     _loc1_.contSound.fManageSound("snd_collect","play",1,80);
                     _loc1_.contGame.fManageDonut(12);
                     break;
                  case "wrench":
                     _loc1_.contSound.fManageSound("snd_collect4","play",1,80);
                     _loc1_.contGame.fManageEnergy(30 / _loc1_.contTrans._nDiffLevel);
                     break;
                  case "live":
                     _loc1_.contSound.fManageSound("snd_yeah","play",1,100);
                     _loc1_.contSound.fManageSound("snd_collect3","play",1,80);
                     _loc1_.contGame.fManageLive(1);
                     break;
                  case "oilCan":
                     _loc1_.contSound.fManageSound("snd_collect","play",1,80);
                     if(_loc1_.contGame._nBoostDuration > 0)
                     {
                        _loc1_.contGame.fManageSpeedMax(1);
                     }
                     else
                     {
                        _loc1_.contGame.fManageSpeedMax(10);
                     }
                     _loc1_.contSound.fManageSound("snd_boost","play",1,40);
               }
            }
            else
            {
               _loc2_.swapDepths(_loc1_.contGame._nSwapDepthIndex);
               _loc1_.contGame._nSwapDepthIndex = _loc1_.contGame._nSwapDepthIndex + 1;
            }
         }
         else if(_loc2_._nBoundsThis.yMin >= 400 + _loc2_._height)
         {
            _loc2_.fItemDelete();
         }
      }
   }
   function fItemDelete()
   {
      this.swapDepths(7668);
      this.removeMovieClip();
   }
}
