class objProjectile extends MovieClip
{
   var _bPaused = true;
   var _bOriginal = false;
   function objProjectile()
   {
      super();
   }
   function fInitializeProperties(_rType, _rSpeedX, _rSpeedY, _rScreenLimit, _rEnergyCost, _rOriginal, _rAngle)
   {
      var _loc1_ = this;
      _loc1_._sType = _rType;
      _loc1_._nEnergyCost = _rEnergyCost;
      _loc1_._sScreenLimit = _rScreenLimit;
      _loc1_._nSpeedX = _rSpeedX;
      _loc1_._nSpeedY = _rSpeedY;
      _loc1_._nAngle = _rAngle;
      _loc1_._bOriginal = _rOriginal;
   }
   function onEnterFrame()
   {
      var _loc1_ = this;
      var _loc2_ = _global;
      if(_loc1_._bOriginal == false)
      {
         _loc1_._bPaused = _loc2_.contPause.opened;
         if(_loc1_._bPaused == false)
         {
            _loc1_._nBoundsVehicule = _loc2_.levelScreen.mcVehicule.mcHitZone.getBounds(_loc2_.stage);
            _loc1_._nBoundsThis = _loc1_.getBounds(_loc2_.stage);
            var _loc3_ = "snd_hit" + _loc2_.contMain._nLevel;
            switch(_loc1_._sType)
            {
               case "donut":
                  if(_loc2_.contGame._bDecorStick == false)
                  {
                     _loc1_._x += _loc2_.levelScreen.mcVehicule._nMoveDecor;
                  }
                  _loc1_._y += _loc1_._nSpeedY;
                  if(_loc1_.hitTest(_loc2_.levelScreen._parent.mcOpponent.mcBoss))
                  {
                     _loc2_.contSound.fManageSound(_loc3_,"play",1,100);
                     _loc2_.contGame.fAddPoint(250);
                     _loc2_.levelScreen._parent.mcOpponent.fManageEnergy(_loc1_._nEnergyCost / _loc2_.contTrans._nDiffLevel);
                     _loc1_.projectile.gotoAndPlay("hit");
                  }
                  break;
               case "bowl":
                  if(_loc2_.contGame._bDecorStick == false)
                  {
                     _loc1_._x += _loc2_.levelScreen.mcVehicule._nMoveDecor;
                  }
                  if(_loc1_._alpha < 100)
                  {
                     _loc1_._alpha += 10;
                  }
                  _loc1_._x += _loc1_._nSpeedX;
                  _loc1_._y += _loc1_._nSpeedY;
                  if(_loc1_.hitTest(_loc2_.levelScreen.mcVehicule.mcHitZone))
                  {
                     _loc1_._alpha = 25;
                  }
                  else if(_loc1_._alpha != 100)
                  {
                     _loc1_._alpha = 100;
                  }
                  if(_loc1_.hitTest(_loc2_.levelScreen.mcVehicule.mcHitZoneCats) and _loc2_.levelScreen.mcVehicule._bInvinsible == false)
                  {
                     _loc2_.contGame.fManageEnergy(- _loc1_._nEnergyCost * _loc2_.contTrans._nDiffLevel);
                     _loc2_.contSound.fManageSound("snd_haw","play",1,90);
                     _loc2_.levelScreen.mcVehicule.fChangeColor("hit");
                     _loc1_.fItemDelete();
                  }
                  break;
               case "banana":
                  if(_loc2_.contGame._bDecorStick == false)
                  {
                     _loc1_._x += _loc2_.levelScreen.mcVehicule._nMoveDecor;
                  }
                  _loc1_._rotation += -20;
                  _loc1_._x += _loc1_._nSpeedX;
                  _loc1_._y += _loc1_._nSpeedY;
                  if(_loc1_.hitTest(_loc2_.levelScreen.mcVehicule.mcHitZoneCats) and _loc2_.levelScreen.mcVehicule._bInvinsible == false)
                  {
                     _loc2_.contSound.fManageSound("snd_haw","play",1,90);
                     _loc2_.contGame.fManageEnergy(- _loc1_._nEnergyCost * _loc2_.contTrans._nDiffLevel);
                     _loc2_.levelScreen.mcVehicule.fChangeColor("hit");
                     _loc1_.fItemDelete();
                  }
                  break;
               case "pepin":
                  _loc1_._rotation = _loc1_._nAngle;
                  if(_loc2_.contGame._bDecorStick == false)
                  {
                     _loc1_._x += _loc2_.levelScreen.mcVehicule._nMoveDecor;
                  }
                  _loc1_._x += _loc1_._nSpeedX;
                  _loc1_._y += _loc1_._nSpeedY;
                  if(_loc1_.hitTest(_loc2_.levelScreen.mcVehicule.mcHitZoneCats) and _loc2_.levelScreen.mcVehicule._bInvinsible == false)
                  {
                     _loc2_.contSound.fManageSound("snd_haw","play",1,90);
                     _loc2_.contGame.fManageEnergy(- _loc1_._nEnergyCost * _loc2_.contTrans._nDiffLevel);
                     _loc2_.levelScreen.mcVehicule.fChangeColor("hit");
                     _loc1_.fItemDelete();
                  }
                  break;
               case "melon":
                  _loc1_._rotation = _loc1_._nAngle;
                  if(_loc2_.contGame._bDecorStick == false)
                  {
                     _loc1_._x += _loc2_.levelScreen.mcVehicule._nMoveDecor;
                  }
                  _loc1_._x += _loc1_._nSpeedX;
                  _loc1_._y += _loc1_._nSpeedY;
                  if(_loc1_.hitTest(_loc2_.levelScreen.mcVehicule.mcHitZoneCats) and _loc2_.levelScreen.mcVehicule._bInvinsible == false)
                  {
                     _loc2_.contSound.fManageSound("snd_haw","play",1,90);
                     _loc2_.contGame.fManageEnergy(- _loc1_._nEnergyCost * _loc2_.contTrans._nDiffLevel);
                     _loc2_.levelScreen.mcVehicule.fChangeColor("hit");
                     _loc1_.fItemDelete();
                  }
                  break;
               case "pumpkin":
                  _loc1_._rotation = _loc1_._nAngle;
                  if(_loc2_.contGame._bDecorStick == false)
                  {
                     _loc1_._x += _loc2_.levelScreen.mcVehicule._nMoveDecor;
                  }
                  _loc1_._x += _loc1_._nSpeedX;
                  _loc1_._y += _loc1_._nSpeedY;
                  if(_loc1_.hitTest(_loc2_.levelScreen.mcVehicule.mcHitZoneCats) and _loc2_.levelScreen.mcVehicule._bInvinsible == false)
                  {
                     _loc2_.contSound.fManageSound("snd_haw","play",1,90);
                     _loc2_.contGame.fManageEnergy(- _loc1_._nEnergyCost * _loc2_.contTrans._nDiffLevel);
                     _loc2_.levelScreen.mcVehicule.fChangeColor("hit");
                     _loc1_.fItemDelete();
                  }
                  break;
               case "eggs":
                  _loc1_._rotation = _loc1_._nAngle;
                  if(_loc2_.contGame._bDecorStick == false)
                  {
                     _loc1_._x += _loc2_.levelScreen.mcVehicule._nMoveDecor;
                  }
                  _loc1_._x += _loc1_._nSpeedX;
                  _loc1_._y += _loc1_._nSpeedY;
                  if(_loc1_.hitTest(_loc2_.levelScreen.mcVehicule.mcHitZoneCats) and _loc2_.levelScreen.mcVehicule._bInvinsible == false)
                  {
                     _loc2_.contSound.fManageSound("snd_haw","play",1,90);
                     _loc2_.contGame.fManageEnergy(- _loc1_._nEnergyCost * _loc2_.contTrans._nDiffLevel);
                     _loc2_.levelScreen.mcVehicule.fChangeColor("hit");
                     _loc1_.fItemDelete();
                  }
            }
            switch(_loc1_._sScreenLimit)
            {
               case "up":
                  if(_loc1_._y <= -200)
                  {
                     _loc1_.fItemDelete();
                  }
                  break;
               case "down":
                  if(_loc1_._y >= 300)
                  {
                     _loc1_.fItemDelete();
                  }
                  break;
               case "left":
                  if(_loc1_._y <= -700)
                  {
                     _loc1_.fItemDelete();
                  }
                  break;
               case "right":
                  if(_loc1_._y >= 700)
                  {
                     _loc1_.fItemDelete();
                  }
            }
         }
      }
   }
   function fItemDelete()
   {
      this.removeMovieClip();
   }
}
